div.slideshow__controls {
  display: flex;
}

.slideshow__controls {
  width: min-content;
  position: absolute;
  inset-inline-start: 50%;
  bottom: 0;
  transform: translate(calc(var(--transform-direction) * 50%), 50%);
  z-index: 2;
  margin: 0;
}

.slider-buttons--has-background {
  border: 1px solid rgb(var(--color-foreground), 0.05);
  box-shadow: 0px 1px 2px 0px rgb(var(--color-shadow), 0.06), 0px 1px 3px 0px rgb(var(--color-shadow), 0.10);
}

.slideshow__control-wrapper, .slider-button--slideshow.slider-button--next, button.slider__autoplay {
  border-inline-start: 1px solid rgb(var(--color-foreground), 0.1);
}

.slider-button--slideshow, .slider__autoplay {
  width: 4.4rem;
  height: 4.4rem;
}

.slideshow__control-wrapper {
  padding: 0 1rem;
  align-self: normal;
}

@media screen and (max-width: 749.99px) {
  .banner--mobile-bottom + .slideshow__controls {
    position: static;
    margin: 1rem auto 0;
    transform: none;
  }
}

.slideshow__autoplay .icon.icon-play,
.slideshow__autoplay .icon.icon-pause {
  display: block;
  position: absolute;
  opacity: 1;
  transform: scale(1);
  transition: transform 150ms ease, opacity 150ms ease;
  width: 0.8rem;
  height: 1.2rem;
}

.slideshow__autoplay .icon.icon-play {
  height: 1rem;
}

@media screen and (forced-colors: active) {
  .slideshow__autoplay path,
  .slideshow__autoplay:hover path{
    fill: CanvasText;
  }
}

.slideshow__autoplay:hover svg.icon {
  transform: scale(1.3);
}

.slideshow__autoplay--paused .icon-pause,
.slideshow__autoplay:not(.slideshow__autoplay--paused) .icon-play {
  visibility: hidden;
  opacity: 0;
  transform: scale(.8)
}

.slideshow__progress {
  position: absolute;
  fill: none;
}

@keyframes stroke-dashoffset {
  0% {
    stroke-dashoffset: 1;
  }
  100% {
    stroke-dashoffset: 0;
  }
}

.slideshow__progress__path {
  stroke: rgb(var(--color-foreground));
  stroke-dasharray: 1;
  animation: stroke-dashoffset var(--speed) linear infinite;
  stroke-width: 5px;
}

.slideshow__autoplay .slideshow__progress__path, .slideshow__autoplay:hover .slideshow__progress__path {
  fill: none;
}

.slideshow__autoplay:hover .slideshow__progress {
  transform: none;
}

.slideshow__autoplay--paused .slideshow__progress__path {
  animation-play-state:paused;
}